Package networkx :: Package drawing :: Module nx_vtk

[frames | no frames]

## Module networkx.drawing.nx_vtk

Draw networks in 3d with vtk.

References:
  - vtk: http://www.vtk.org/

Function Summary
| ``draw_nxvtk`(G, node_pos)` Draw networkx graph in 3d with nodes at node_pos.

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)'`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-06-17 08:10:29 -0600 (Fri, 17 Ju...`
`str` | `__revision__` = `'$Revision: 1051 $'`

Function Details

### draw_nxvtk(G, node_pos)

Draw networkx graph in 3d with nodes at node_pos.

See layout.py for functions that compute node positions.

node_pos is a dictionary keyed by vertex with a three-tuple of x-y positions as the value.

The node color is plum. The edge color is banana.

All the nodes are the same size.

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Aric Hagberg (hagberg@lanl.gov)'

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-06-17 08:10:29 -0600 (Fri, 17 Jun 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1051 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:59 2005 | http://epydoc.sf.net